## abcm2ps 4.5.0

=== Makefile ===
# Generated automatically from Makefile.in by configure.
# Makefile source for abcm2ps

VERSION = 4.5.0

CC = gcc
INSTALL = /usr/bin//install -c
INSTALL_DATA = ${INSTALL} -m 644
INSTALL_PROGRAM = ${INSTALL}

CPPFLAGS = -g -O2 -Wall -pipe -DHAVE_CONFIG_H -I.
LDFLAGS = -lm	# 

prefix = /usr/local
exec_prefix = ${prefix}

srcdir = .
bindir = ${exec_prefix}/bin
libdir = ${exec_prefix}/lib
datadir = ${prefix}/share

# unix
OBJECTS=abc2ps.o \
	abcparse.o buffer.o deco.o draw.o format.o music.o parse.o \
	subs.o syms.o
abcm2ps: $(OBJECTS)
	$(CC) -o abcm2ps $(OBJECTS) $(LDFLAGS)
$(OBJECTS): abcparse.h abc2ps.h config.h

install: abcm2ps
	mkdir -p $(bindir); \
	mkdir -p $(datadir)/abcm2ps; \
	$(INSTALL_PROGRAM) abcm2ps $(bindir)
	for f in *.fmt; do \
		$(INSTALL_DATA) $$f $(datadir)/abcm2ps; \
	done

uninstall:
	echo "uninstalling..."; \
	rm -f $(bindir)/abcm2ps; \
	rm -rf $(datadir)/abcm2ps

dist:
	ln -s . abcm2ps-$(VERSION); \
	tar -zcvf abcm2ps-$(VERSION).tar.gz \
		abcm2ps-$(VERSION)/Changes \
		abcm2ps-$(VERSION)/INSTALL \
		abcm2ps-$(VERSION)/License \
		abcm2ps-$(VERSION)/Makefile \
		abcm2ps-$(VERSION)/Makefile.w32 \
		abcm2ps-$(VERSION)/Makefile.in \
		abcm2ps-$(VERSION)/README \
		abcm2ps-$(VERSION)/abc2ps.c \
		abcm2ps-$(VERSION)/abc2ps.h \
		abcm2ps-$(VERSION)/abcparse.c \
		abcm2ps-$(VERSION)/abcparse.h \
		abcm2ps-$(VERSION)/buffer.c \
		abcm2ps-$(VERSION)/configure \
		abcm2ps-$(VERSION)/configure.in \
		abcm2ps-$(VERSION)/config.h \
		abcm2ps-$(VERSION)/config.h.in \
		abcm2ps-$(VERSION)/config.guess \
		abcm2ps-$(VERSION)/config.sub \
		abcm2ps-$(VERSION)/deco.c \
		abcm2ps-$(VERSION)/deco.abc \
		abcm2ps-$(VERSION)/draw.c \
		abcm2ps-$(VERSION)/fbook.fmt \
		abcm2ps-$(VERSION)/features.txt \
		abcm2ps-$(VERSION)/fonts.fmt \
		abcm2ps-$(VERSION)/format.c \
		abcm2ps-$(VERSION)/format.txt \
		abcm2ps-$(VERSION)/install.sh \
		abcm2ps-$(VERSION)/journey.abc \
		abcm2ps-$(VERSION)/landscape.fmt \
		abcm2ps-$(VERSION)/mtunes1.abc \
		abcm2ps-$(VERSION)/mtunes2.abc \
		abcm2ps-$(VERSION)/multilang.abc \
		abcm2ps-$(VERSION)/music.c \
		abcm2ps-$(VERSION)/newfeatures.abc \
		abcm2ps-$(VERSION)/options.txt \
		abcm2ps-$(VERSION)/parse.c \
		abcm2ps-$(VERSION)/sample.abc \
		abcm2ps-$(VERSION)/sample2.abc \
		abcm2ps-$(VERSION)/sample3.abc \
		abcm2ps-$(VERSION)/sample3.eps \
		abcm2ps-$(VERSION)/sample4.abc \
		abcm2ps-$(VERSION)/subs.c \
		abcm2ps-$(VERSION)/syms.c \
		abcm2ps-$(VERSION)/tight.fmt \
		abcm2ps-$(VERSION)/voices.abc; \
	rm abcm2ps-$(VERSION)

zip: abcm2ps.exe
	strip abcm2ps.exe; \
	cd ..; zip -r abcm2ps-$(VERSION).zip \
	abcm2ps-$(VERSION)/abcm2ps.exe \
	abcm2ps-$(VERSION)/License \
	abcm2ps-$(VERSION)/Changes \
	abcm2ps-$(VERSION)/INSTALL \
	abcm2ps-$(VERSION)/sample3.eps \
	abcm2ps-$(VERSION)/*.abc \
	abcm2ps-$(VERSION)/*.fmt \
	abcm2ps-$(VERSION)/*.txt ; cd -

EXAMPLES = deco.ps \
	journey.ps \
	mtunes1.ps \
	mtunes2.ps \
	newfeatures.ps \
	sample.ps \
	sample2.ps \
	sample3.ps \
	voices.ps

test:	$(EXAMPLES)
%.ps: %.abc
	./abcm2ps -O $@ $<

clean:
	rm -f *.o $(EXAMPLES) # *.obj

## abcm2ps 4.8.5

=== Makefile ===
# Generated automatically from Makefile.in by configure.
# Makefile source for abcm2ps

VERSION = 4.8.5

CC = gcc
INSTALL = /usr/bin//install -c
INSTALL_DATA = ${INSTALL} -m 644
INSTALL_PROGRAM = ${INSTALL}

CPPFLAGS = -g -O2 -Wall -pipe -DHAVE_CONFIG_H -I. #-ansi 
LDFLAGS = -lm	# 

prefix = /usr/local
exec_prefix = ${prefix}

srcdir = .
bindir = ${exec_prefix}/bin
libdir = ${exec_prefix}/lib
datadir = ${prefix}/share

# unix
OBJECTS=abc2ps.o \
	abcparse.o buffer.o deco.o draw.o format.o music.o parse.o \
	subs.o syms.o
abcm2ps: $(OBJECTS)
	$(CC) -o abcm2ps $(OBJECTS) $(LDFLAGS)
$(OBJECTS): abcparse.h abc2ps.h config.h

install: abcm2ps
	mkdir -p $(bindir); \
	mkdir -p $(datadir)/abcm2ps; \
	$(INSTALL_PROGRAM) abcm2ps $(bindir)
	for f in *.fmt; do \
		$(INSTALL_DATA) $$f $(datadir)/abcm2ps; \
	done

uninstall:
	echo "uninstalling..."; \
	rm -f $(bindir)/abcm2ps; \
	rm -rf $(datadir)/abcm2ps

DIST_FILES = \
	abcm2ps-$(VERSION)/Changes \
	abcm2ps-$(VERSION)/INSTALL \
	abcm2ps-$(VERSION)/License \
	abcm2ps-$(VERSION)/Makefile \
	abcm2ps-$(VERSION)/Makefile.w32 \
	abcm2ps-$(VERSION)/Makefile.in \
	abcm2ps-$(VERSION)/README \
	abcm2ps-$(VERSION)/abc2ps.c \
	abcm2ps-$(VERSION)/abc2ps.h \
	abcm2ps-$(VERSION)/abcparse.c \
	abcm2ps-$(VERSION)/abcparse.h \
	abcm2ps-$(VERSION)/buffer.c \
	abcm2ps-$(VERSION)/configure \
	abcm2ps-$(VERSION)/configure.in \
	abcm2ps-$(VERSION)/config.h \
	abcm2ps-$(VERSION)/config.h.in \
	abcm2ps-$(VERSION)/config.guess \
	abcm2ps-$(VERSION)/config.sub \
	abcm2ps-$(VERSION)/deco.c \
	abcm2ps-$(VERSION)/deco.abc \
	abcm2ps-$(VERSION)/draw.c \
	abcm2ps-$(VERSION)/fbook.fmt \
	abcm2ps-$(VERSION)/features.txt \
	abcm2ps-$(VERSION)/fonts.fmt \
	abcm2ps-$(VERSION)/format.c \
	abcm2ps-$(VERSION)/format.txt \
	abcm2ps-$(VERSION)/install.sh \
	abcm2ps-$(VERSION)/journey.abc \
	abcm2ps-$(VERSION)/landscape.fmt \
	abcm2ps-$(VERSION)/mtunes1.abc \
	abcm2ps-$(VERSION)/mtunes2.abc \
	abcm2ps-$(VERSION)/multilang.abc \
	abcm2ps-$(VERSION)/music.c \
	abcm2ps-$(VERSION)/newfeatures.abc \
	abcm2ps-$(VERSION)/options.txt \
	abcm2ps-$(VERSION)/parse.c \
	abcm2ps-$(VERSION)/sample.abc \
	abcm2ps-$(VERSION)/sample2.abc \
	abcm2ps-$(VERSION)/sample3.abc \
	abcm2ps-$(VERSION)/sample3.eps \
	abcm2ps-$(VERSION)/sample4.abc \
	abcm2ps-$(VERSION)/subs.c \
	abcm2ps-$(VERSION)/syms.c \
	abcm2ps-$(VERSION)/tight.fmt \
	abcm2ps-$(VERSION)/voices.abc

dist:
	ln -s . abcm2ps-$(VERSION); \
	tar -zcvf abcm2ps-$(VERSION).tar.gz $(DIST_FILES); \
	rm abcm2ps-$(VERSION)

zip-dist:
	ln -s . abcm2ps-$(VERSION); \
	zip -r abcm2ps-$(VERSION).zip $(DIST_FILES); \
	rm abcm2ps-$(VERSION)

zip: abcm2ps.exe
	strip abcm2ps.exe; \
	cd ..; zip -r abcm2ps-$(VERSION).zip \
	abcm2ps-$(VERSION)/abcm2ps.exe \
	abcm2ps-$(VERSION)/License \
	abcm2ps-$(VERSION)/Changes \
	abcm2ps-$(VERSION)/INSTALL \
	abcm2ps-$(VERSION)/sample3.eps \
	abcm2ps-$(VERSION)/*.abc \
	abcm2ps-$(VERSION)/*.fmt \
	abcm2ps-$(VERSION)/*.txt ; cd -

EXAMPLES = deco.ps \
	journey.ps \
	mtunes1.ps \
	mtunes2.ps \
	newfeatures.ps \
	sample.ps \
	sample2.ps \
	sample3.ps \
	voices.ps

test:	$(EXAMPLES)
%.ps: %.abc
	./abcm2ps -O $@ $<

clean:
	rm -f *.o $(EXAMPLES) # *.obj

## abcm2ps 4.11.8

=== Makefile ===
--- 
+++ 
@@ -1,14 +1,15 @@
 # Generated automatically from Makefile.in by configure.
 # Makefile source for abcm2ps
 
-VERSION = 4.8.5
+VERSION = 4.11.8
 
 CC = gcc
 INSTALL = /usr/bin//install -c
 INSTALL_DATA = ${INSTALL} -m 644
 INSTALL_PROGRAM = ${INSTALL}
 
-CPPFLAGS = -g -O2 -Wall -pipe -DHAVE_CONFIG_H -I. #-ansi 
+CPPFLAGS = -Wall -pipe -DHAVE_CONFIG_H -I. #-ansi 
+CFLAGS = -g -O2 
 LDFLAGS = -lm	# 
 
 prefix = /usr/local
@@ -18,27 +19,35 @@
 bindir = ${exec_prefix}/bin
 libdir = ${exec_prefix}/lib
 datadir = ${prefix}/share
+docdir = ${prefix}/doc
 
 # unix
 OBJECTS=abc2ps.o \
 	abcparse.o buffer.o deco.o draw.o format.o music.o parse.o \
 	subs.o syms.o
 abcm2ps: $(OBJECTS)
-	$(CC) -o abcm2ps $(OBJECTS) $(LDFLAGS)
+	$(CC) $(CFLAGS) -o abcm2ps $(OBJECTS) $(LDFLAGS)
 $(OBJECTS): abcparse.h abc2ps.h config.h
+
+DOCFILES=Changes License README *.abc *.eps *.txt
 
 install: abcm2ps
 	mkdir -p $(bindir); \
 	mkdir -p $(datadir)/abcm2ps; \
+	mkdir -p $(docdir)/abcm2ps; \
 	$(INSTALL_PROGRAM) abcm2ps $(bindir)
 	for f in *.fmt; do \
 		$(INSTALL_DATA) $$f $(datadir)/abcm2ps; \
+	done
+	for f in $(DOCFILES); do \
+		$(INSTALL_DATA) $$f $(docdir)/abcm2ps; \
 	done
 
 uninstall:
 	echo "uninstalling..."; \
 	rm -f $(bindir)/abcm2ps; \
-	rm -rf $(datadir)/abcm2ps
+	rm -rf $(datadir)/abcm2ps; \
+	rm -rf $(docdir)/abcm2ps
 
 DIST_FILES = \
 	abcm2ps-$(VERSION)/Changes \

## abcm2ps 4.12.18

=== Makefile ===
--- 
+++ 
@@ -1,7 +1,7 @@
 # Generated automatically from Makefile.in by configure.
 # Makefile source for abcm2ps
 
-VERSION = 4.11.8
+VERSION = 4.12.18
 
 CC = gcc
 INSTALL = /usr/bin//install -c

## abcm2ps 5.5.2

=== Makefile ===
--- 
+++ 
@@ -1,7 +1,7 @@
 # Generated automatically from Makefile.in by configure.
 # Makefile source for abcm2ps
 
-VERSION = 4.12.18
+VERSION = 5.5.2
 
 CC = gcc
 INSTALL = /usr/bin//install -c
@@ -9,8 +9,8 @@
 INSTALL_PROGRAM = ${INSTALL}
 
 CPPFLAGS = -Wall -pipe -DHAVE_CONFIG_H -I. #-ansi 
-CFLAGS = -g -O2 
-LDFLAGS = -lm	# 
+CFLAGS = -g # -O2 
+LDFLAGS =	# 
 
 prefix = /usr/local
 exec_prefix = ${prefix}
@@ -61,6 +61,7 @@
 	abcm2ps-$(VERSION)/abc2ps.h \
 	abcm2ps-$(VERSION)/abcparse.c \
 	abcm2ps-$(VERSION)/abcparse.h \
+	abcm2ps-$(VERSION)/accordion.abc \
 	abcm2ps-$(VERSION)/buffer.c \
 	abcm2ps-$(VERSION)/configure \
 	abcm2ps-$(VERSION)/configure.in \
@@ -91,6 +92,7 @@
 	abcm2ps-$(VERSION)/sample3.abc \
 	abcm2ps-$(VERSION)/sample3.eps \
 	abcm2ps-$(VERSION)/sample4.abc \
+	abcm2ps-$(VERSION)/sample5.abc \
 	abcm2ps-$(VERSION)/subs.c \
 	abcm2ps-$(VERSION)/syms.c \
 	abcm2ps-$(VERSION)/tight.fmt \
@@ -126,6 +128,8 @@
 	sample.ps \
 	sample2.ps \
 	sample3.ps \
+	sample4.ps \
+	sample5.ps \
 	voices.ps
 
 test:	$(EXAMPLES)

## abcm2ps 5.8.1

=== Makefile ===
--- 
+++ 
@@ -1,7 +1,7 @@
 # Generated automatically from Makefile.in by configure.
 # Makefile source for abcm2ps
 
-VERSION = 5.5.2
+VERSION = 5.8.1
 
 CC = gcc
 INSTALL = /usr/bin//install -c
@@ -74,6 +74,7 @@
 	abcm2ps-$(VERSION)/draw.c \
 	abcm2ps-$(VERSION)/fbook.fmt \
 	abcm2ps-$(VERSION)/features.txt \
+	abcm2ps-$(VERSION)/flute.fmt \
 	abcm2ps-$(VERSION)/fonts.fmt \
 	abcm2ps-$(VERSION)/format.c \
 	abcm2ps-$(VERSION)/format.txt \
@@ -100,7 +101,7 @@
 
 dist:
 	ln -s . abcm2ps-$(VERSION); \
-	tar -zcvf abcm2ps-$(VERSION).tar.gz $(DIST_FILES); \
+	tar -zcvf abcm2ps-$(VERSION).tar.gz $(DIST_FILES);
 	rm abcm2ps-$(VERSION)
 
 zip-dist:

## abcm2ps 5.9.7

=== Makefile ===
--- 
+++ 
@@ -1,25 +1,25 @@
-# Generated automatically from Makefile.in by configure.
 # Makefile source for abcm2ps
 
-VERSION = 5.8.1
+VERSION = 5.9.7
 
 CC = gcc
 INSTALL = /usr/bin//install -c
 INSTALL_DATA = ${INSTALL} -m 644
 INSTALL_PROGRAM = ${INSTALL}
 
-CPPFLAGS = -Wall -pipe -DHAVE_CONFIG_H -I. #-ansi 
-CFLAGS = -g # -O2 
+CPPFLAGS = -DHAVE_CONFIG_H -I.
+CFLAGS = -g -Wall -pipe # -O2 
 LDFLAGS =	# 
 
 prefix = /usr/local
 exec_prefix = ${prefix}
 
 srcdir = .
+
 bindir = ${exec_prefix}/bin
 libdir = ${exec_prefix}/lib
 datadir = ${prefix}/share
-docdir = ${prefix}/doc
+docdir = /usr/local/doc
 
 # unix
 OBJECTS=abc2ps.o \
@@ -101,7 +101,7 @@
 
 dist:
 	ln -s . abcm2ps-$(VERSION); \
-	tar -zcvf abcm2ps-$(VERSION).tar.gz $(DIST_FILES);
+	tar -zcvf abcm2ps-$(VERSION).tar.gz $(DIST_FILES); \
 	rm abcm2ps-$(VERSION)
 
 zip-dist:

=== debian/changelog ===
abcm2ps (5.9.7-1) unstable; urgency=low

  * New upstream release
  * Bumped Standards-Version up to 3.8.3 (no changes to the actual package).
  * Changed package to "3.0 (quilt)" source format.

 -- Anselm Lingnau <lingnau@debian.org>  Mon, 21 Dec 2009 09:28:10 +0100

abcm2ps (5.9.5-1) unstable; urgency=low

  * New upstream release
  * Updated to policy version 3.8.2.
  * The maintainer for this package isn't dead, he's just pining for the
    fjords (Closes: #540854).
  
  * The "unexpected result with K:D =c" bug no longer applies to the
    current software version and the current (draft) ABC standard (Closes:
    #338867).

 -- Anselm Lingnau <lingnau@debian.org>  Tue, 11 Aug 2009 11:11:26 +0200

abcm2ps (5.8.1-2) unstable; urgency=low

  * Bug fix: "will not accept '-' as input source", thanks to Francis
    Larson (Closes: #498630). This used to work and is documented as such
    but was apparently broken upstream when code to switch off default-on
    options was introduced.

 -- Anselm Lingnau <lingnau@debian.org>  Thu, 11 Sep 2008 22:47:43 +0200

abcm2ps (5.8.1-1) unstable; urgency=low

  * New upstream release
  * Updated to policy version 3.8.0
	
 -- Anselm Lingnau <lingnau@debian.org>  Sat, 05 Jul 2008 11:32:07 +0200

abcm2ps (5.5.2-1) unstable; urgency=low

  * New upstream release

 -- Anselm Lingnau <lingnau@debian.org>  Mon, 20 Aug 2007 13:18:07 +0200

abcm2ps (4.12.27-1) unstable; urgency=low

  * New upstream release
  * Changed reference to abc2ps in package description.

 -- Anselm Lingnau <lingnau@debian.org>  Fri, 13 Oct 2006 02:09:19 +0200

abcm2ps (4.12.18-1) unstable; urgency=low

  * New upstream release

 -- Anselm Lingnau <lingnau@debian.org>  Mon,  5 Jun 2006 23:00:12 +0200

abcm2ps (4.12.14-1) unstable; urgency=low

  * New upstream release
  * Updated to policy version 3.7.2

 -- Anselm Lingnau <lingnau@debian.org>  Sat, 22 Apr 2006 17:31:28 +0200

abcm2ps (4.11.8-1) unstable; urgency=low

  * New upstream release

 -- Anselm Lingnau <lingnau@debian.org>  Tue, 18 Oct 2005 02:56:57 +0200

abcm2ps (4.11.7-1) unstable; urgency=low

  * New upstream release (closes: #303151).
  * Removed extraneous /usr/sbin directory from the package.
  * Various documentation changes as per upstream.
  * Updated to policy version 3.6.2.
	
 -- Anselm Lingnau <lingnau@debian.org>  Tue, 11 Oct 2005 20:12:38 +0200
	

abcm2ps (4.9.4-1) unstable; urgency=low

  * New upstream release

 -- Anselm Lingnau <lingnau@debian.org>  Tue,  5 Apr 2005 18:08:18 +0200

abcm2ps (4.9.1-1) unstable; urgency=low

  * New upstream release

 -- Anselm Lingnau <lingnau@debian.org>  Tue, 22 Mar 2005 12:18:40 +0100

abcm2ps (4.8.8-1) unstable; urgency=low

  * New upstream release

 -- Anselm Lingnau <lingnau@debian.org>  Mon, 17 Jan 2005 14:15:52 +0100

abcm2ps (4.8.5-1) unstable; urgency=low

  * New upstream release (closes: #280008).
  * In particular, this fixes the DJB security bug (closes: #285903).

 -- Anselm Lingnau <lingnau@debian.org>  Tue, 21 Dec 2004 11:07:28 +0100

abcm2ps (4.6.7-1) unstable; urgency=low

  * New upstream release
  * Updated manual page as per upstream changes.
  * Converted control file to UTF-8.
  * Added versioned depends clause on docbook-to-man (closes: #255804).
  
 -- Anselm Lingnau <lingnau@debian.org>  Wed, 25 Aug 2004 00:10:18 +0200

abcm2ps (4.5.0-1) unstable; urgency=low

  * New upstream release.
  * Updated manual page as per upstream changes.

 -- Anselm Lingnau <lingnau@debian.org>  Fri, 21 May 2004 10:38:03 +0200

abcm2ps (4.2.1-1) unstable; urgency=low

  * New upstream release

 -- Anselm Lingnau <lingnau@debian.org>  Fri, 20 Feb 2004 12:48:27 +0100

abcm2ps (4.0.8-1) unstable; urgency=low

  * New upstream release.
  * Added "%%staff" and "%%halfbeam" to manual page; change wording of
    clef explanations.
  * Included examples from upstream distribution.
  * Updated to policy version 3.6.1.

 -- Anselm Lingnau <lingnau@debian.org>  Thu, 22 Jan 2004 11:57:19 +0100

abcm2ps (4.0.7-1) unstable; urgency=low

  * New upstream release.
  * Removed erroneous doc-base control file.

 -- Anselm Lingnau <anselm@strathspey.org>  Tue, 13 Jan 2004 09:06:54 +0100

abcm2ps (4.0.5-1) unstable; urgency=low

  * Initial Release.

 -- Anselm Lingnau <lingnau@debian.org>  Mon,  5 Jan 2004 02:41:57 +0100

## abcm2ps 5.9.13

=== Makefile ===
--- 
+++ 
@@ -1,6 +1,6 @@
 # Makefile source for abcm2ps
 
-VERSION = 5.9.7
+VERSION = 5.9.13
 
 CC = gcc
 INSTALL = /usr/bin//install -c

=== debian/changelog ===
abcm2ps (5.9.13-0.1) unstable; urgency=low

  * Non-maintainer upload.
  * Upload new upstream release to fix "some security vulnerabilities" and
    "more security vulnerabilities" (Closes: #577014)

 -- Alexander Reichle-Schmehl <tolimar@debian.org>  Fri, 23 Apr 2010 10:15:13 +0200

=== debian/control ===
Source: abcm2ps
Section: text
Priority: optional
Maintainer: Anselm Lingnau <lingnau@debian.org>
Build-Depends: debhelper (>> 7.0.0), docbook-to-man (>> 2.0.0-13)
Standards-Version: 3.8.3.0

Package: abcm2ps
Architecture: any
Depends: ${shlibs:Depends}
Description: Translates ABC music description files to PostScript
 This is the Debian port of the abcm2ps program by Jean-François Moine.
 The program translates tunes written in the ABC format to PostScript,
 which can then be viewed using Ghostview et al. or printed on a
 PostScript printer or through Ghostscript. It supports various
 semi-standard extensions to the ABC standard, such as multiple
 voices and staves.
 .
 This program is a vastly improved spin-off from Michael Methfessel's
 abc2ps, which is no longer supplied as part of Debian. In particular,
 it contains a lot of extensions to help typeset classical music.

=== debian/rules ===
#!/usr/bin/make -f
# Sample debian/rules that uses debhelper.
# GNU copyright 1997 to 1999 by Joey Hess.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1


# These are used for cross-compiling and for saving the configure script
# from having to guess our platform (since we know it already)
DEB_HOST_GNU_TYPE   ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
DEB_BUILD_GNU_TYPE  ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)


CFLAGS = -Wall -g

ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -O0
else
	CFLAGS += -O2
endif
ifeq (,$(findstring nostrip,$(DEB_BUILD_OPTIONS)))
	INSTALL_PROGRAM += -s
endif

config.status: configure
	dh_testdir
ifneq "$(wildcard /usr/share/misc/config.sub)" ""
	[ -e config.sub ] && mv config.sub config.sub.save
	cp -f /usr/share/misc/config.sub config.sub
endif
ifneq "$(wildcard /usr/share/misc/config.guess)" ""
	[ -e config.guess ] && mv config.guess config.guess.save
	cp -f /usr/share/misc/config.guess config.guess
endif
	./configure --host=$(DEB_HOST_GNU_TYPE) \
		--build=$(DEB_BUILD_GNU_TYPE) --prefix=/usr \
		--mandir=\$${prefix}/share/man \
		--infodir=\$${prefix}/share/info --enable-a4


build: build-stamp

build-stamp:  config.status
	dh_testdir

	$(MAKE)
	/usr/bin/docbook-to-man debian/abcm2ps.sgml > abcm2ps.1

	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp 

	if [ -e config.sub.save ]; then mv config.sub.save config.sub; fi
	if [ -e config.guess.save ]; then mv config.guess.save config.guess; fi
	[ ! -f Makefile ] || $(MAKE) clean
	rm -f abcm2ps abcm2ps.1

	dh_clean config.log config.cache config.status

install: build
	dh_testdir
	dh_testroot
	dh_prep
	dh_installdirs

	# We take care of the documentation files later ourselves.
	$(MAKE) install prefix=$(CURDIR)/debian/abcm2ps/usr \
		docdir=$(CURDIR)/debian/abcm2ps/doc
	rm -rf $(CURDIR)/debian/abcm2ps/doc


# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installchangelogs Changes
	dh_installdocs
	dh_installexamples *.abc *.eps
#	dh_install
#	dh_installmenu
#	dh_installdebconf	
#	dh_installlogrotate
#	dh_installemacsen
#	dh_installpam
#	dh_installmime
#	dh_installinit
#	dh_installcron
#	dh_installinfo
	dh_installman
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
#	dh_perl
#	dh_python
#	dh_makeshlibs
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install

## abcm2ps 5.9.22

=== Makefile ===
--- 
+++ 
@@ -1,14 +1,14 @@
 # Makefile source for abcm2ps
 
-VERSION = 5.9.13
+VERSION = 5.9.22
 
 CC = gcc
-INSTALL = /usr/bin//install -c
+INSTALL = /usr/bin/install -c
 INSTALL_DATA = ${INSTALL} -m 644
 INSTALL_PROGRAM = ${INSTALL}
 
 CPPFLAGS = -DHAVE_CONFIG_H -I.
-CFLAGS = -g -Wall -pipe # -O2 
+CFLAGS = -g -O2 -Wall -pipe
 LDFLAGS =	# 
 
 prefix = /usr/local
@@ -29,14 +29,14 @@
 	$(CC) $(CFLAGS) -o abcm2ps $(OBJECTS) $(LDFLAGS)
 $(OBJECTS): abcparse.h abc2ps.h config.h
 
-DOCFILES=Changes License README *.abc *.eps *.txt
+DOCFILES=$(addprefix $(srcdir)/,Changes License README *.abc *.eps *.txt)
 
 install: abcm2ps
 	mkdir -p $(bindir); \
 	mkdir -p $(datadir)/abcm2ps; \
 	mkdir -p $(docdir)/abcm2ps; \
 	$(INSTALL_PROGRAM) abcm2ps $(bindir)
-	for f in *.fmt; do \
+	for f in $(srcdir)/*.fmt; do \
 		$(INSTALL_DATA) $$f $(datadir)/abcm2ps; \
 	done
 	for f in $(DOCFILES); do \

=== debian/changelog ===
abcm2ps (5.9.22-1) unstable; urgency=low

  * New upstream release.
  * Added dependency on ${misc:Depends} to binary package for debhelper.
  * Bumped Standards-Version up to 3.9.1.
  
 -- Anselm Lingnau <lingnau@debian.org>  Thu, 17 Feb 2011 10:40:29 +0100

=== debian/control ===
--- 
+++ 
@@ -3,11 +3,11 @@
 Priority: optional
 Maintainer: Anselm Lingnau <lingnau@debian.org>
 Build-Depends: debhelper (>> 7.0.0), docbook-to-man (>> 2.0.0-13)
-Standards-Version: 3.8.3.0
+Standards-Version: 3.9.1.0
 
 Package: abcm2ps
 Architecture: any
-Depends: ${shlibs:Depends}
+Depends: ${shlibs:Depends}, ${misc:Depends}
 Description: Translates ABC music description files to PostScript
  This is the Debian port of the abcm2ps program by Jean-François Moine.
  The program translates tunes written in the ABC format to PostScript,

## abcm2ps 5.9.25

=== Makefile ===
--- 
+++ 
@@ -1,6 +1,6 @@
 # Makefile source for abcm2ps
 
-VERSION = 5.9.22
+VERSION = 5.9.25
 
 CC = gcc
 INSTALL = /usr/bin/install -c

=== debian/changelog ===
abcm2ps (5.9.25-1) unstable; urgency=low

  * New upstream release.
  * Added debian/source/options file to deal with the automatic patch.
  * Bumped Standards-Version up to 3.9.2.

 -- Anselm Lingnau <lingnau@debian.org>  Thu, 24 Nov 2011 12:25:45 +0100

abcm2ps (5.9.22-1.1) unstable; urgency=low

  * Non-maintainer upload.
  * Fix "FTBFS: dpkg-buildpackage: error: dpkg-source -b abcm2ps-5.9.22
    gave error exit status 2": backup/restore Makefile in debian/rules;
    inspired by peter green's patch (closes: #643040).
    (Alternatively we could simply remove Makefile in the clean target but
    this solution seems more in line with the current style.)

 -- gregor herrmann <gregoa@debian.org>  Mon, 14 Nov 2011 17:31:43 +0100

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Anselm Lingnau <lingnau@debian.org>
 Build-Depends: debhelper (>> 7.0.0), docbook-to-man (>> 2.0.0-13)
-Standards-Version: 3.9.1.0
+Standards-Version: 3.9.2.0
 
 Package: abcm2ps
 Architecture: any

=== debian/rules ===
--- 
+++ 
@@ -33,14 +33,16 @@
 	[ -e config.guess ] && mv config.guess config.guess.save
 	cp -f /usr/share/misc/config.guess config.guess
 endif
+	[ ! -f Makefile ] || mv Makefile Makefile.save
 	./configure --host=$(DEB_HOST_GNU_TYPE) \
 		--build=$(DEB_BUILD_GNU_TYPE) --prefix=/usr \
 		--mandir=\$${prefix}/share/man \
 		--infodir=\$${prefix}/share/info --enable-a4
 
 
-build: build-stamp
-
+build: build-arch build-indep
+build-arch: build-stamp
+build-indep: build-stamp
 build-stamp:  config.status
 	dh_testdir
 
@@ -56,6 +58,7 @@
 
 	if [ -e config.sub.save ]; then mv config.sub.save config.sub; fi
 	if [ -e config.guess.save ]; then mv config.guess.save config.guess; fi
+	if [ -e Makefile.save ]; then mv Makefile.save Makefile; fi
 	[ ! -f Makefile ] || $(MAKE) clean
 	rm -f abcm2ps abcm2ps.1

## abcm2ps 6.6.17

=== Makefile ===
--- 
+++ 
@@ -1,15 +1,15 @@
 # Makefile source for abcm2ps
 
-VERSION = 5.9.25
+VERSION = 6.6.17
 
 CC = gcc
 INSTALL = /usr/bin/install -c
 INSTALL_DATA = ${INSTALL} -m 644
 INSTALL_PROGRAM = ${INSTALL}
 
-CPPFLAGS = -DHAVE_CONFIG_H -I.
+CPPFLAGS = -DHAVE_CONFIG_H  -DHAVE_PANGO=1 -pthread -I/usr/include/pango-1.0 -I/usr/include/glib-2.0 -I/usr/lib/x86_64-linux-gnu/glib-2.0/include -I/usr/include/pixman-1 -I/usr/include/freetype2 -I/usr/include/libpng12 -I/usr/include/cairo   -I.
 CFLAGS = -g -O2 -Wall -pipe
-LDFLAGS =	# 
+LDFLAGS =  -pthread -lpangocairo-1.0 -lcairo -lpangoft2-1.0 -lpango-1.0 -lfontconfig -lgobject-2.0 -lgmodule-2.0 -lgthread-2.0 -lrt -lglib-2.0 -lfreetype   -lm
 
 prefix = /usr/local
 exec_prefix = ${prefix}
@@ -23,11 +23,15 @@
 
 # unix
 OBJECTS=abc2ps.o \
-	abcparse.o buffer.o deco.o draw.o format.o music.o parse.o \
-	subs.o syms.o
+	abcparse.o buffer.o deco.o draw.o format.o front.o music.o parse.o \
+	subs.o svg.o syms.o
 abcm2ps: $(OBJECTS)
 	$(CC) $(CFLAGS) -o abcm2ps $(OBJECTS) $(LDFLAGS)
-$(OBJECTS): abcparse.h abc2ps.h config.h
+$(OBJECTS): abcparse.h abc2ps.h config.h Makefile
+abc2ps.o front.o: front.h
+
+abcmfe: front.c
+	$(CC) -g -O2 front.c -DMAIN -o abcmfe
 
 DOCFILES=$(addprefix $(srcdir)/,Changes License README *.abc *.eps *.txt)
 
@@ -54,7 +58,6 @@
 	abcm2ps-$(VERSION)/INSTALL \
 	abcm2ps-$(VERSION)/License \
 	abcm2ps-$(VERSION)/Makefile \
-	abcm2ps-$(VERSION)/Makefile.w32 \
 	abcm2ps-$(VERSION)/Makefile.in \
 	abcm2ps-$(VERSION)/README \
 	abcm2ps-$(VERSION)/abc2ps.c \
@@ -63,6 +66,7 @@
 	abcm2ps-$(VERSION)/abcparse.h \
 	abcm2ps-$(VERSION)/accordion.abc \
 	abcm2ps-$(VERSION)/buffer.c \
+	abcm2ps-$(VERSION)/chinese.abc \
 	abcm2ps-$(VERSION)/configure \
 	abcm2ps-$(VERSION)/configure.in \
 	abcm2ps-$(VERSION)/config.h \
@@ -78,13 +82,12 @@
 	abcm2ps-$(VERSION)/fonts.fmt \
 	abcm2ps-$(VERSION)/format.c \
 	abcm2ps-$(VERSION)/format.txt \
+	abcm2ps-$(VERSION)/front.c \
+	abcm2ps-$(VERSION)/front.h \
 	abcm2ps-$(VERSION)/install.sh \
-	abcm2ps-$(VERSION)/journey.abc \
 	abcm2ps-$(VERSION)/landscape.fmt \
-	abcm2ps-$(VERSION)/mtunes1.abc \
-	abcm2ps-$(VERSION)/mtunes2.abc \
-	abcm2ps-$(VERSION)/multilang.abc \
 	abcm2ps-$(VERSION)/music.c \
+	abcm2ps-$(VERSION)/musicfont.fmt \
 	abcm2ps-$(VERSION)/newfeatures.abc \
 	abcm2ps-$(VERSION)/options.txt \
 	abcm2ps-$(VERSION)/parse.c \
@@ -95,6 +98,7 @@
 	abcm2ps-$(VERSION)/sample4.abc \
 	abcm2ps-$(VERSION)/sample5.abc \
 	abcm2ps-$(VERSION)/subs.c \
+	abcm2ps-$(VERSION)/svg.c \
 	abcm2ps-$(VERSION)/syms.c \
 	abcm2ps-$(VERSION)/tight.fmt \
 	abcm2ps-$(VERSION)/voices.abc
@@ -121,10 +125,9 @@
 	abcm2ps-$(VERSION)/*.fmt \
 	abcm2ps-$(VERSION)/*.txt ; cd -
 
-EXAMPLES = deco.ps \
-	journey.ps \
-	mtunes1.ps \
-	mtunes2.ps \
+EXAMPLES = accordion.ps \
+	chinese.ps \
+	deco.ps \
 	newfeatures.ps \
 	sample.ps \
 	sample2.ps \

=== debian/changelog ===
abcm2ps (6.6.17-1ubuntu1) saucy; urgency=low

  * Add autotools-dev dependency, to trigger config.guess|sub updates at
    build time.

 -- Dmitrijs Ledkovs <dmitrij.ledkov@ubuntu.com>  Fri, 11 Oct 2013 17:21:25 +0100

abcm2ps (6.6.17-1) unstable; urgency=low

  * mercurial-importorig imported new upstream version.
  * Converted debian/copyright to machine-readable format.
  * Bumped Standards-Version up to 3.9.3.
  
 -- Anselm Lingnau <lingnau@debian.org>  Fri, 22 Jun 2012 14:24:24 +0200

=== debian/control ===
Source: abcm2ps
Section: text
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Anselm Lingnau <lingnau@debian.org>
Build-Depends: dpkg-dev (>= 1.16.1~), debhelper (>> 7.0.0), docbook-to-man (>> 2.0.0-13), autotools-dev
Standards-Version: 3.9.3

Package: abcm2ps
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Translates ABC music description files to PostScript (or SVG)
 This is the Debian port of the abcm2ps program by Jean-François Moine.
 The program translates tunes written in the ABC format to PostScript,
 which can then be viewed using Ghostview et al. or printed on a
 PostScript printer or through Ghostscript. It supports various
 semi-standard extensions to the ABC standard, such as multiple
 voices and staves, and can also generate SVG output.
 .
 This program is a vastly improved spin-off from Michael Methfessel's
 abc2ps, which is no longer supplied as part of Debian. In particular,
 it contains a lot of extensions to help typeset classical music.

=== debian/rules ===
--- 
+++ 
@@ -11,8 +11,9 @@
 DEB_HOST_GNU_TYPE   ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
 DEB_BUILD_GNU_TYPE  ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)
 
-
-CFLAGS = -Wall -g
+export DEB_BUILD_MAINT_OPTIONS = hardening=+all
+DPKG_EXPORT_BUILDFLAGS = 1
+include /usr/share/dpkg/buildflags.mk
 
 ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
 	CFLAGS += -O0
@@ -37,7 +38,7 @@
 	./configure --host=$(DEB_HOST_GNU_TYPE) \
 		--build=$(DEB_BUILD_GNU_TYPE) --prefix=/usr \
 		--mandir=\$${prefix}/share/man \
-		--infodir=\$${prefix}/share/info --enable-a4
+		--infodir=\$${prefix}/share/info --enable-a4 --disable-pango
 
 
 build: build-arch build-indep

=== debian/watch ===
# Example watch control file for uscan
# Rename this file to "watch" and then you can run the "uscan" command
# to check for upstream updates and more.
# Site		Directory		Pattern			Version	Script
version=2
http://moinejf.free.fr/abcm2ps-(.*)\.tar\.gz	debian	uupdate

## abcm2ps 7.8.9

=== Makefile ===
--- 
+++ 
@@ -1,15 +1,16 @@
 # Makefile source for abcm2ps
 
-VERSION = 6.6.17
+VERSION = 7.8.9
 
 CC = gcc
 INSTALL = /usr/bin/install -c
 INSTALL_DATA = ${INSTALL} -m 644
 INSTALL_PROGRAM = ${INSTALL}
 
-CPPFLAGS = -DHAVE_CONFIG_H  -DHAVE_PANGO=1 -pthread -I/usr/include/pango-1.0 -I/usr/include/glib-2.0 -I/usr/lib/x86_64-linux-gnu/glib-2.0/include -I/usr/include/pixman-1 -I/usr/include/freetype2 -I/usr/include/libpng12 -I/usr/include/cairo   -I.
+CPPFLAGS = -DHAVE_CONFIG_H  -I.
+CPPPANGO = 
 CFLAGS = -g -O2 -Wall -pipe
-LDFLAGS =  -pthread -lpangocairo-1.0 -lcairo -lpangoft2-1.0 -lpango-1.0 -lfontconfig -lgobject-2.0 -lgmodule-2.0 -lgthread-2.0 -lrt -lglib-2.0 -lfreetype   -lm
+LDFLAGS =  -lm
 
 prefix = /usr/local
 exec_prefix = ${prefix}
@@ -23,15 +24,21 @@
 
 # unix
 OBJECTS=abc2ps.o \
-	abcparse.o buffer.o deco.o draw.o format.o front.o music.o parse.o \
-	subs.o svg.o syms.o
+	abcparse.o buffer.o deco.o draw.o format.o front.o glyph.o music.o parse.o \
+	slre.o subs.o svg.o syms.o
 abcm2ps: $(OBJECTS)
-	$(CC) $(CFLAGS) -o abcm2ps $(OBJECTS) $(LDFLAGS)
-$(OBJECTS): abcparse.h abc2ps.h config.h Makefile
+	$(CC) $(CFLAGS) -o $@ $(OBJECTS) $(LDFLAGS)
+
+$(OBJECTS): abcparse.h config.h Makefile
+abc2ps.o buffer.o deco.o draw.o format.o front.o glyph.o music.o parse.o \
+	subs.o svg.o syms.o: abc2ps.h
 abc2ps.o front.o: front.h
+front.o parse.o slre.o: slre.h
+subs.o: subs.c
+	$(CC) $(CFLAGS) $(CPPFLAGS) $(CPPPANGO) -c -o $@ $<
 
-abcmfe: front.c
-	$(CC) -g -O2 front.c -DMAIN -o abcmfe
+abcmfe: front.c front.h slre.h
+	$(CC) $(CFLAGS) -DMAIN -o $@ $< slre.o
 
 DOCFILES=$(addprefix $(srcdir)/,Changes License README *.abc *.eps *.txt)
 
@@ -65,6 +72,7 @@
 	abcm2ps-$(VERSION)/abcparse.c \
 	abcm2ps-$(VERSION)/abcparse.h \
 	abcm2ps-$(VERSION)/accordion.abc \
+	abcm2ps-$(VERSION)/build.ninja \
 	abcm2ps-$(VERSION)/buffer.c \
 	abcm2ps-$(VERSION)/chinese.abc \
 	abcm2ps-$(VERSION)/configure \
@@ -76,14 +84,13 @@
 	abcm2ps-$(VERSION)/deco.c \
 	abcm2ps-$(VERSION)/deco.abc \
 	abcm2ps-$(VERSION)/draw.c \
-	abcm2ps-$(VERSION)/fbook.fmt \
 	abcm2ps-$(VERSION)/features.txt \
 	abcm2ps-$(VERSION)/flute.fmt \
-	abcm2ps-$(VERSION)/fonts.fmt \
 	abcm2ps-$(VERSION)/format.c \
 	abcm2ps-$(VERSION)/format.txt \
 	abcm2ps-$(VERSION)/front.c \
 	abcm2ps-$(VERSION)/front.h \
+	abcm2ps-$(VERSION)/glyph.c \
 	abcm2ps-$(VERSION)/install.sh \
 	abcm2ps-$(VERSION)/landscape.fmt \
 	abcm2ps-$(VERSION)/music.c \
@@ -97,6 +104,8 @@
 	abcm2ps-$(VERSION)/sample3.eps \
 	abcm2ps-$(VERSION)/sample4.abc \
 	abcm2ps-$(VERSION)/sample5.abc \
+	abcm2ps-$(VERSION)/slre.c \
+	abcm2ps-$(VERSION)/slre.h \
 	abcm2ps-$(VERSION)/subs.c \
 	abcm2ps-$(VERSION)/svg.c \
 	abcm2ps-$(VERSION)/syms.c \

=== debian/changelog ===
abcm2ps (7.8.9-1build1) bionic; urgency=high

  * No change rebuild to pick up -fPIE compiler default

 -- Balint Reczey <rbalint@ubuntu.com>  Tue, 03 Apr 2018 12:11:49 +0000

abcm2ps (7.8.9-1) unstable; urgency=low

  * New upstream release (closes: #742296).
  * Uses debhelper version 9.
  * Uses autotools-dev (closes: #759458, #765192).
  * Added machine-readable copyright file.
  * Bumped Standards-Version up to 3.9.6.
  
 -- Anselm Lingnau <lingnau@debian.org>  Sat, 18 Oct 2014 23:09:44 +0200

=== debian/control ===
Source: abcm2ps
Section: text
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Anselm Lingnau <lingnau@debian.org>
Build-Depends: debhelper (>> 9), autotools-dev, docbook-to-man (>> 2.0.0-13)
Standards-Version: 3.9.6.0

Package: abcm2ps
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Translates ABC music description files to PostScript
 This is the Debian port of the abcm2ps program by Jean-François Moine.
 The program translates tunes written in the ABC format to PostScript,
 which can then be viewed using Ghostview et al. or printed on a
 PostScript printer or through Ghostscript. It supports various
 semi-standard extensions to the ABC standard, such as multiple
 voices and staves.
 .
 This program is a vastly improved spin-off from Michael Methfessel's
 abc2ps, which is no longer supplied as part of Debian. In particular,
 it contains a lot of extensions to help typeset classical music.

## abcm2ps 8.14.2

=== debian/changelog ===
abcm2ps (8.14.2-0.2) unstable; urgency=medium

  * Non-maintainer upload.
  * Drop obsolete README.Debian. Closes: #919514.
  * Debhelper 12.
  * Cherry-pick bad-ps-when-centered-or-right-aligned.diff from upstream CVS.
  * Fix the build with an explicit debhelper build system. Closes: #919219.

 -- Nicolas Boulenguez <nicolas@debian.org>  Sun, 27 Jan 2019 18:50:50 +0100

abcm2ps (8.14.2-0.1) unstable; urgency=medium

  * Non-maintainer upload.
  * New upstream release. Closes: #825386, #833017, #897966, #898130.
    Addresses security issues: CVE-2018-10753, CVE-2018-10771.
  * Forward all changes not specific to Debian.
  * Remove autoreconf generated files from source package.
  * Remove white spaces from this changelog and source/format.
  * Debhelper 11.
  * Build-Depends: pango-dev to enable optional pango fonts support.
  * Standards-Version: 4.3.0.
  * Rules-Requires-Root: no.
  * Add Homepage.
  * HTTPS protocol in copyright format.
  * Enable all Debian hardening build flags.
  * Link with --as-needed to remove some library dependencies.
  * Add minimal run time test.
  * Update watch file.
  * Cherry-pick fix-loss-of-sep.diff from upstream VCS.

 -- Nicolas Boulenguez <nicolas@debian.org>  Sat, 29 Dec 2018 14:56:32 +0100

=== debian/control ===
--- 
+++ 
@@ -1,10 +1,16 @@
 Source: abcm2ps
 Section: text
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Anselm Lingnau <lingnau@debian.org>
-Build-Depends: debhelper (>> 9), autotools-dev, docbook-to-man (>> 2.0.0-13)
-Standards-Version: 3.9.6.0
+Maintainer: Anselm Lingnau <lingnau@debian.org>
+Build-Depends:
+ debhelper-compat (= 12),
+ libfreetype6-dev,
+ libpango1.0-dev,
+ pkg-config,
+ python3-docutils,
+Standards-Version: 4.3.0
+Rules-Requires-Root: no
+Homepage: http://moinejf.free.fr/
 
 Package: abcm2ps
 Architecture: any

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS := hardening=+all
export DEB_LDFLAGS_MAINT_APPEND := -Wl,--as-needed

%:
	dh $@ --buildsystem=autoconf

=== debian/watch ===
version=4

opts=\
  filenamemangle=s/.+\/v?(\d\S+)\.tar\.gz/abcm2ps-$1\.tar\.gz/ \
https://github.com/leesavide/abcm2ps/releases .*/v?(\d\S+)\.tar\.gz

## abcm2ps 8.14.6

=== debian/changelog ===
abcm2ps (8.14.6-0.1) unstable; urgency=medium

  * Non-maintainer upload.
  * New upstream release closes: #944764.

  [ Patrice Duroux <patrice.duroux@gmail.com> ]
  * Add upstream/metadata.
  * Simplify watch.
  * Move to Standards-Version: 4.4.1.

 -- Nicolas Boulenguez <nicolas@debian.org>  Tue, 10 Dec 2019 11:43:53 +0100

abcm2ps (8.14.5-0.1) unstable; urgency=medium

  * Non-maintainer upload.
  * New upstream release closes: #933320.  No more patches.
  * Set build flags as ./configure arguments, the environment is ignored.
  * Drop --as-needed linker flag, now the default in GCC-9.
  * Standards-Version: 4.4.0. No changes.

 -- Nicolas Boulenguez <nicolas@debian.org>  Tue, 03 Sep 2019 12:07:16 +0200

=== debian/control ===
--- 
+++ 
@@ -8,7 +8,7 @@
  libpango1.0-dev,
  pkg-config,
  python3-docutils,
-Standards-Version: 4.3.0
+Standards-Version: 4.4.1
 Rules-Requires-Root: no
 Homepage: http://moinejf.free.fr/

=== debian/rules ===
#!/usr/bin/make -f

DEB_BUILD_MAINT_OPTIONS := hardening=+all
DEB_CFLAGS_MAINT_APPEND := -Wall
include /usr/share/dpkg/buildflags.mk

%:
	dh $@ --buildsystem=autoconf

.PHONY: override_dh_auto_configure
override_dh_auto_configure:
	dh_auto_configure -- \
	  $(foreach v,CFLAGS CPPFLAGS LDFLAGS,'--$(v)=$($(v))')

## abcm2ps 8.14.7

=== debian/changelog ===
abcm2ps (8.14.7-0.2) unstable; urgency=medium

  * Non-maintainer upload.
  * Pass cross tools CC and PKG_CONFIG to ./configure. Closes: #946572.
    I have only applied the upstream part of the fix by Helmut Grohne.

 -- Nicolas Boulenguez <nicolas@debian.org>  Thu, 16 Apr 2020 18:40:04 +0200

abcm2ps (8.14.7-0.1) unstable; urgency=medium

  * Non-maintainer upload.
  * New upstream release closes: #946572.
  * Standards-Version: 4.5.0.

 -- Nicolas Boulenguez <nicolas@debian.org>  Sun, 29 Mar 2020 18:51:47 +0200

=== debian/control ===
--- 
+++ 
@@ -8,7 +8,7 @@
  libpango1.0-dev,
  pkg-config,
  python3-docutils,
-Standards-Version: 4.4.1
+Standards-Version: 4.5.0
 Rules-Requires-Root: no
 Homepage: http://moinejf.free.fr/

## abcm2ps 8.14.11

=== debian/changelog ===
abcm2ps (8.14.11-0.1) unstable; urgency=medium

  * Non-maintainer upload.
  * New upstream release.
  * Debhelper 13.
  * Standards-Version: 4.5.1.
  * Shorten description, reference the successor by the same author.
  * Fix license of upstream sources: GPL-2+ -> GPL-3+. Closes: #973475.
  * Backport abcc6f3d in order to fix the tests.

 -- Nicolas Boulenguez <nicolas@debian.org>  Sat, 05 Dec 2020 22:42:04 +0000

=== debian/control ===
Source: abcm2ps
Section: text
Priority: optional
Maintainer: Anselm Lingnau <lingnau@debian.org>
Build-Depends:
 debhelper-compat (= 13),
 libfreetype6-dev,
 libpango1.0-dev,
 pkg-config,
 python3-docutils,
Standards-Version: 4.5.1
Rules-Requires-Root: no
Homepage: http://moinejf.free.fr/

Package: abcm2ps
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Translates ABC music description files to PostScript
 The program translates tunes written in the ABC format to PostScript,
 which can then be viewed using Ghostview et al. or printed on a
 PostScript printer or through Ghostscript. It supports various
 semi-standard extensions to the ABC standard, such as multiple
 voices and staves.
 .
 Jean-François Moine once wrote abcm2ps as a successor of abc2ps by
 Michael Methfessel.  He is working on an new version named abc2svg.

=== debian/rules ===
#!/usr/bin/make -f

DEB_BUILD_MAINT_OPTIONS := hardening=+all
DEB_CFLAGS_MAINT_APPEND := -Wall
include /usr/share/dpkg/buildtools.mk
include /usr/share/dpkg/buildflags.mk

%:
	dh $@ --buildsystem=autoconf

.PHONY: override_dh_auto_configure
override_dh_auto_configure:
	dh_auto_configure -- \
	  $(foreach v,CC PKG_CONFIG CFLAGS CPPFLAGS LDFLAGS,'--$(v)=$($(v))')

=== debian/watch ===
version=4
https://github.com/leesavide/@PACKAGE@/releases .*/v?@ANY_VERSION@@ARCHIVE_EXT@

## abcm2ps 8.14.13

=== debian/changelog ===
abcm2ps (8.14.13-2) unstable; urgency=medium

  * Revert "only force debhelper build system for the affected command".
    On buildds, dh_auto_clean apparently selects ninja by default.
  * Create a git repository on salsa.debian.org.

 -- Nicolas Boulenguez <nicolas@debian.org>  Thu, 10 Mar 2022 20:58:42 +0000

abcm2ps (8.14.13-1) unstable; urgency=medium

  * New upstream release. Closes: #994618.
  * Add myself as Uploader.
  * Update Standards-Version and copyright dates.
  * Upstream ./configure now reads build flags from the environment.
  * Only force debhelper build system for the affected command.
  * Update watch file and metadata with new upstream github repository.
  * Remove obsolete Homepage field from upstream metadata.

 -- Nicolas Boulenguez <nicolas@debian.org>  Thu, 10 Mar 2022 18:31:19 +0000

=== debian/control ===
--- 
+++ 
@@ -2,14 +2,17 @@
 Section: text
 Priority: optional
 Maintainer: Anselm Lingnau <lingnau@debian.org>
+Uploaders: Nicolas Boulenguez <nicolas@debian.org>
 Build-Depends:
  debhelper-compat (= 13),
  libfreetype6-dev,
  libpango1.0-dev,
  pkg-config,
  python3-docutils,
-Standards-Version: 4.5.1
+Standards-Version: 4.6.0
 Rules-Requires-Root: no
+Vcs-Browser: https://salsa.debian.org/debian/abcm2ps
+Vcs-Git: https://salsa.debian.org/debian/abcm2ps.git
 Homepage: http://moinejf.free.fr/
 
 Package: abcm2ps

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS := hardening=+all

# Debhelper autotedects ninja as the build system.
%:
	dh $@ --buildsystem=autoconf

## abcm2ps 8.14.14

=== debian/changelog ===
abcm2ps (8.14.14-1build2) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- William Grant <wgrant@ubuntu.com>  Mon, 01 Apr 2024 15:58:28 +1100

abcm2ps (8.14.14-1build1) noble; urgency=medium

  * No-change rebuild against libglib2.0-0t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 08 Mar 2024 03:46:21 +0000

abcm2ps (8.14.14-1) unstable; urgency=medium

  * New upstream version 8.14.14
  * Add git-buildpackage minimal configuration
  * Standards-Version: 4.6.2 (no changes)

  [ Helmut Grohne ]
  * Fix FTCBFS: export cross build tools for configure. Closes: #1024922

 -- Nicolas Boulenguez <nicolas@debian.org>  Wed, 21 Dec 2022 15:30:39 +0100

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: abcm2ps
 Section: text
 Priority: optional
-Maintainer: Anselm Lingnau <lingnau@debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Anselm Lingnau <lingnau@debian.org>
 Uploaders: Nicolas Boulenguez <nicolas@debian.org>
 Build-Depends:
  debhelper-compat (= 13),
@@ -9,7 +10,7 @@
  libpango1.0-dev,
  pkg-config,
  python3-docutils,
-Standards-Version: 4.6.0
+Standards-Version: 4.6.2
 Rules-Requires-Root: no
 Vcs-Browser: https://salsa.debian.org/debian/abcm2ps
 Vcs-Git: https://salsa.debian.org/debian/abcm2ps.git

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS := hardening=+all

DPKG_EXPORT_BUILDTOOLS := 1
include /usr/share/dpkg/buildtools.mk

# Debhelper autotedects ninja as the build system.
%:
	dh $@ --buildsystem=autoconf

=== debian/watch ===
version=4

https://github.com/lewdlime/@PACKAGE@/tags \
.*/v?@ANY_VERSION@@ARCHIVE_EXT@

## abcm2ps 8.14.15.2

=== debian/changelog ===
abcm2ps (8.14.15.2-1) unstable; urgency=medium

  * New upstream snapshot, removing the font.
  * Include /usr/share/dpkg/buildflags.mk as recommended by its doc.

 -- Nicolas Boulenguez <nicolas@debian.org>  Sat, 11 May 2024 13:24:56 +0000

abcm2ps (8.14.15.1-1) unstable; urgency=medium

  * New upstream snapshot.
  * Build-Depend: unversioned libfreetype-dev, pkgconf instead of pkg-config.
  * Add the font source in debian/missing-sources and rebuild it.
    Add the previously missing OFL-1.1 license in debian/copyright.

 -- Nicolas Boulenguez <nicolas@debian.org>  Wed, 08 May 2024 10:58:18 +0000

## abcm2ps 8.14.17

=== debian/changelog ===
abcm2ps (8.14.17-3) unstable; urgency=medium

  * Drop obsolete Rules-Requires-Root
  * Update watch file format to version 5
  * Fix the header in patches/c23.diff.
  * Fix srcdir when ./configure generates Makefile out of the sourc tree.
  * Build and install with debputy instead of debhelper.

 -- Nicolas Boulenguez <nicolas@debian.org>  Wed, 29 Oct 2025 17:32:16 +0000

abcm2ps (8.14.17-2) unstable; urgency=medium

  * Enable salsa continuous integration via debian/salsa-ci.yml
  * Make the source ready for C23/gcc-15.  Closes: #1096270.

 -- Nicolas Boulenguez <nicolas@debian.org>  Wed, 26 Mar 2025 18:21:32 +0000

abcm2ps (8.14.17-1) unstable; urgency=medium

  * New upstream release.
  * Adapt to the move from github.com/git to chiselapp.com/fossil.

 -- Nicolas Boulenguez <nicolas@debian.org>  Mon, 17 Feb 2025 12:53:11 +0000

=== debian/control ===
Source: abcm2ps
Section: text
Priority: optional
Maintainer: Anselm Lingnau <lingnau@debian.org>
Uploaders: Nicolas Boulenguez <nicolas@debian.org>
Build-Depends:
 dh-debputy (>= 0.1.45~),
 dpkg-dev (>= 1.22.7~),
 libfreetype-dev,
 libpango1.0-dev,
 pkgconf,
# rst2man:
 python3-docutils,
Build-Driver: debputy
Standards-Version: 4.7.2
Vcs-Browser: https://salsa.debian.org/debian/abcm2ps
Vcs-Git: https://salsa.debian.org/debian/abcm2ps.git
Homepage: http://moinejf.free.fr/

Package: abcm2ps
Architecture: any
Description: Translates ABC music description files to PostScript
 The program translates tunes written in the ABC format to PostScript,
 which can then be viewed using Ghostview et al. or printed on a
 PostScript printer or through Ghostscript. It supports various
 semi-standard extensions to the ABC standard, such as multiple
 voices and staves.
 .
 Jean-François Moine once wrote abcm2ps as a successor of abc2ps by
 Michael Methfessel.  He is working on an new version named abc2svg.

=== debian/tests/control ===
Test-Command: abcm2ps /usr/share/doc/abcm2ps/examples/sample2.abc -O "$AUTOPKGTEST_TMP/Out.eps"

=== debian/watch ===
Version: 5

Page-Mangle: s%<span class="tagDsp">v([^<]*)</span>%<a href="tarball/v$1/abcm2ps-$1.tar.gz">%g
Source: https://chiselapp.com/user/moinejf/repository/abcm2ps/taglist
Matching-Pattern: (?:.*)/@PACKAGE@@ANY_VERSION@@ARCHIVE_EXT@

## abcm2ps 8.14.18

=== debian/changelog ===
abcm2ps (8.14.18-1) unstable; urgency=medium

  * New upstream release.
  * Update Standards-Version, remove Priority: optional

 -- Nicolas Boulenguez <nicolas@debian.org>  Fri, 27 Feb 2026 22:49:00 +0100

=== debian/control ===
--- 
+++ 
@@ -1,6 +1,5 @@
 Source: abcm2ps
 Section: text
-Priority: optional
 Maintainer: Anselm Lingnau <lingnau@debian.org>
 Uploaders: Nicolas Boulenguez <nicolas@debian.org>
 Build-Depends:
@@ -12,7 +11,7 @@
 # rst2man:
  python3-docutils,
 Build-Driver: debputy
-Standards-Version: 4.7.2
+Standards-Version: 4.7.3
 Vcs-Browser: https://salsa.debian.org/debian/abcm2ps
 Vcs-Git: https://salsa.debian.org/debian/abcm2ps.git
 Homepage: http://moinejf.free.fr/
